summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
Diffstat (limited to 'libraries')
-rw-r--r--libraries/lensfun/README4
-rw-r--r--libraries/lensfun/lensfun.SlackBuild76
-rw-r--r--libraries/lensfun/lensfun.info8
-rw-r--r--libraries/lensfun/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/libraries/lensfun/README b/libraries/lensfun/README
new file mode 100644
index 0000000000..98d0c53f0d
--- /dev/null
+++ b/libraries/lensfun/README
@@ -0,0 +1,4 @@
+lensfun is a library that provide a open source database of photographic
+lenses and their characteristics, also provides a set of algorithms for
+correcting images based on detailed knowledge of lens properties and
+calibration data.
diff --git a/libraries/lensfun/lensfun.SlackBuild b/libraries/lensfun/lensfun.SlackBuild
new file mode 100644
index 0000000000..1b37fbdcf6
--- /dev/null
+++ b/libraries/lensfun/lensfun.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# Slackware build script of lensfun
+
+# Copyright 2009 Ricardson Williams <ricardsonwilliams at yahoo.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lensfun
+VERSION=0.2.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z? || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ || exit 1
+
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/lensfun/lensfun.info b/libraries/lensfun/lensfun.info
new file mode 100644
index 0000000000..90cb05fa57
--- /dev/null
+++ b/libraries/lensfun/lensfun.info
@@ -0,0 +1,8 @@
+PRGNAM="lensfun"
+VERSION="0.2.3"
+HOMEPAGE="http://lensfun.berlios.de/"
+DOWNLOAD="http://download.berlios.de/lensfun/lensfun-0.2.3.tar.bz2"
+MD5SUM="c5c04be4f53e3eef450ff4948d8f65b3"
+MAINTAINER="Ricardson Williams"
+EMAIL="ricardsonwilliams@yahoo.com.br"
+APPROVED="rworkman"
diff --git a/libraries/lensfun/slack-desc b/libraries/lensfun/slack-desc
new file mode 100644
index 0000000000..4b2a4358a5
--- /dev/null
+++ b/libraries/lensfun/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+lensfun: lensfun (photographic lens characteristics database library)
+lensfun:
+lensfun: lensfun is a library that provide a open source database of
+lensfun: photographic lenses and their characteristics also provides
+lensfun: a set of algorithms for correcting images based on detailed
+lensfun: knowledge of lens properties and calibration data.
+lensfun:
+lensfun: Homepage: http://lensfun.berlios.de
+lensfun:
+lensfun:
+lensfun: